Bug 206935 - metaphone() function causing Apache segfaults
metaphone() function causing Apache segfaults
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: php (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On: 205714
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-18 06:38 EDT by Joe Orton
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0682
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 06:43:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-09-18 06:38:41 EDT
+++ This bug was initially created as a clone of Bug #205714 +++

Description of problem:

Not sure whether to file this under PHP or Apache. We're having some annoying
PHP segfaults which we think we've narrowed down to a problem with the
metaphone() function. I've attached a simple test example that shows an example
of this. I can provide a backtrace, corefile (not sure if that will be helpful
without our exact PHP binary) or other info from the core file if it's helpful.

Switching to soundex() seems to resolve the problem.

It's not 100% of the time, but semi-reliably causes a crash.

Version-Release number of selected component (if applicable):
httpd-2.0.46-57.ent
php-4.4.4-07pg.33.ent
php-mysql-4.4.4-07pg.33.ent
Comment 4 Red Hat Bugzilla 2006-09-21 06:43:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0682.html

Note You need to log in before you can comment on or make changes to this bug.